/*
Theme Name:   GeneratePress Child
Theme URI:    https://generatepress.com
Description:  Default GeneratePress child theme
Author:       Tom Usborne
Author URI:   https://tomusborne.com
Template:     generatepress
Version:      0.1
Text Domain:  generatepress_child
Domain Path: /
*/
@import url('https://fonts.googleapis.com/css2?family=Tajawal:wght@200;300;400;500;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
* {
  font-family: 'Roboto', sans-serif;
}

*::selection {
  color: #ccdc29;
  background-color: #333;
}
.front-hero {
  width: 100vw;
  height: 100vh;
  background-color: #1d1d1d;
}

.front-hero > video {
  opacity: 0.3;
  background-color: #fff;
  object-fit: cover;
  background-size: cover;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0%;
  left: 0px;
  display: block;
  text-align: left;
  line-height: 12px;
  letter-spacing: 0px;
  font-weight: 400;
  font-size: 8px;
  border-color: rgb(255, 255, 255);
  border-style: none;
  margin: 0px;
  border-radius: 0px;
  padding: 0px;
  pointer-events: none;
}

.front-hero > video > source {
  text-align: left;
  line-height: 12px;
  letter-spacing: 0px;
  font-weight: 400;
  border-color: rgb(0, 0, 0);
  border-style: none;
  margin: 0px;
  border-radius: 0px;
  padding: 0px;
}

.ui-loader {
  display: none;
}

.google-map .overlay {
  width: 100%;
  height: 300px;
  position: relative;
  margin-top: -307px;
  background-image: linear-gradient(0deg, #fff0, #f7f8f9);
}

.site-info {
  color: #ffffff;
  border-top: 2px solid #b2b2b2;
}
.website-info-container {
  background-color: #333;
  background-size: 100px;
  background-position: center;
  background-image: url(/wp-content/uploads/2021/10/logo-border-website-margin.svg);
  background-blend-mode: soft-light;
}
.website-info-container a {
  color: #fff;
}
.website-info-container a:hover {
  color: #f2f2f2;
}
.website-info-container .info-container ul {
  list-style: none;
}
.website-info-container {
  padding: 5px 0;
}
.info-container {
  padding: 20px 0 0;
  /* overflow: hidden; */
}

.info-container li:last-child.rtl {
  float: right;
}
.info-container li:last-child.ltr {
  float: left;
}
.info-container li:first-child,
.info-container li:last-child {
  padding: 25px 0;
}
.info-container > ul > li.rtl:last-child .lsi-social-icons li:first-child {
  margin: 0 !important;
}
.info-container li:not(:first-child):not(:last-child) {
  direction: ltr;
}
.website-info-inner-container.grid-container {
  /* background-color: #333; */
  background-image: url(/wp-content/uploads/2021/10/logo-shape-website.svg);
  background-repeat: no-repeat;
  background-size: 120px;
  background-position: top 35px left 30px;
  /* display: flex; */
}

@media screen and (max-width: 500px) {
  .website-info-inner-container.grid-container {
    background-size: 100px;
    /* background-position: 35px 50px !important; */
  }
  .website-info-container ul {
    left: 95px;
  }
}
/* .info-container > li:last-child.rtl .lsi-social-icons li {
    margin: 0 0 8px 8px !important;
} */

.website-info-container .info-container ul {
  list-style: none;
  font-size: 15px;
  position: relative;
  left: 120px;
  top: 10px;
  border-left: 1px solid #fff;
  padding: 0 0 0 25px;
}

.website-info-inner-container.grid-container > div {
  display: inline-block;
}

.footer-social-icons {
  float: right;
  z-index: 999;
  position: relative;
  color: #fff;
  top: 190px;
  padding: 0 20px;
}

.footer-social-icons ul {
  list-style: none;
  margin: 0;
}
.footer-social-icons li {
  display: inline;
  opacity: 0.7;
  transition: 300ms;
}
.footer-social-icons li:hover {
  opacity: 1;
}
.site-info {
  font-size: 12px;
}

form.search-form.navigation-search.nav-search-active {
  height: 100%;
}

.ui-input-search.ui-body-inherit.ui-corner-all.ui-shadow-inset.ui-input-has-clear {
  height: inherit;
}

.ui-input-search.ui-body-inherit.ui-corner-all.ui-shadow-inset.ui-input-has-clear
  a {
  display: none;
}

input.search-field {
  height: 100%;
  width: 100%;
}

input.search-field {
  height: 100%;
  width: 100%;
  border: none;
  color: #333;
}

.main-navigation:not([id='sticky-navigation']) input.search-field {
  background-color: #ccdc29;
  color: #333 !important;
  border-radius: 5px;
}

input.search-field:focus {
  outline: none;
}

.main-navigation:not([id='sticky-navigation']) input.search-field:focus {
  background-color: #ccdc29;
}

.main-navigation:not([id='sticky-navigation'])
  .main-nav
  ul
  li.close-search:hover
  > a,
.main-navigation:not([id='sticky-navigation'])
  .main-nav
  ul
  li.close-search:focus
  > a,
.main-navigation:not([id='sticky-navigation'])
  .main-nav
  ul
  li.close-search.sfHover
  > a {
  color: #333 !important;
}

/********** All events ***********/
.all-posts-container {
  max-width: 900px;
  margin: auto;
}
.single-post h2 {
  font-size: 25px;
}
.all-posts-container .single-post .img {
  width: 450px;
  height: 300px;
  border-radius: 5px;
  display: inline-block;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.all-posts-container .single-post {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  margin: 20px 10px;
  height: 300px;
}
.all-posts-container .content {
  height: inherit;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-left: 20px;
  padding-right: 20px;
  background-size: 10px 10px;
  background-image: radial-gradient(#c1d02f 0.5px, transparent 0.5px);
}
.all-posts-container .excerpt *,
.all-posts-container .excerpt *:hover {
  color: #626b0842;
}

.all-posts-container .excerpt {
  color: #3338 !important;
}

/* nav#sticky-navigation {
  backdrop-filter: blur(3px)!important;
    background-color: #fffd!important;
} */

.navigation-branding img,
.site-logo.mobile-header-logo img {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
}

.menu-toggle {
  color: #333 !important;
}

nav#site-navigation button {
  color: #ccdc29 !important;
}

.main-navigation .main-nav ul li[class*='current-menu-'] > a:hover,
.main-navigation .main-nav ul li[class*='current-menu-'].sfHover > a {
  background-color: #0000 !important;
}

.main-navigation .main-nav ul li[class*='current-menu-'] > a {
  background-color: #0000 !important;
}

/* @media screen and (max-width: 700px) {
    .all-posts-container .single-post .img {
        width: 100px;
    }
    .all-posts-container .single-post .content .excerpt {
        display: none;
    }
} */

.menu-toggle {
  color: #333;
}

.entry-content p {
  text-align: justify;
}

@media screen and (max-width: 800px) {
  .all-posts-container .single-post .img {
    width: calc(100vw - 60px);
  }

  .all-posts-container .content {
    position: absolute;
    max-width: calc(100vw - 60px);
    border-radius: 5px;
    background-color: #3333339c !important;
  }

  .all-posts-container .excerpt {
    display: none;
  }

  .all-posts-container .cats .the-category a {
    color: #fff;
  }

  .all-posts-container .title > h2 {
    color: #fff !important;
  }
}

.the-category:not(:first-child):before {
  content: '|';
}

/* span.the-category > a:hover {
    text-decoration: underline;
}
span.the-category > a {
    color: #333c!important;
    font-size: 14px;
} */

/* .cats {
    width: fit-content;
    background-color: #ccdc29;
    padding: 2px 10px;
    margin-bottom: 10px;
} */

.cats a:hover {
  text-decoration: underline;
}
.cats a {
  color: #333d;
}

.cats {
  width: fit-content;
  background-color: #ffffff;
  font-size: 11px;
  text-transform: uppercase;
  padding: 2px 5px;
  background-color: #ccdc29;
  overflow: hidden;
  width: 100%;
}

/* about */
.about-header-logo {
  background-color: #fff;
  width: fit-content;
}
.about-header-logocontainer {
  /* padding: 20px; */
  height: 225px;
  width: 150px;
}
.about-header-logoimg {
  background-image: url(/wp-content/uploads/2021/10/Signutre-1.png);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  width: 100%;
  height: 100%;
}
.about-header-logotitle {
  width: 100%;
  text-align: center;
  padding: 10px 0;
  background-color: #333;
  color: #ccdc29;
}
.about-header-inner {
  display: flex;
  align-items: flex-end;
  justify-content: center;
  flex-direction: row;
  width: fit-content;
  margin: auto;
  align-items: center;
}
@media screen and (max-width: 700px) {
  .about-header-inner {
    flex-direction: column;
    align-items: center;
  }
  .classabout-header-content {
    text-align: center !important;
    margin-top: 20px;
    margin-left: 0;
  }
}

.about-header-inner {
  margin: 50px auto;
}

.classabout-header-content > p {
  color: #3b3735;
  display: inline;
  font-weight: 200;
  letter-spacing: 1px;
  font-size: 20px;
  line-height: 30px;
}
.classabout-header-content {
  max-width: 500px;
  text-align: left;
  line-height: 21px;
  margin-left: 20px;
}

.about-box {
  max-width: 750px;
  border: 1px dashed #3332;
  background-color: #fff;
  margin: auto;
}

.about-box-inner {
  display: flex;
  flex-direction: column;
}

.about-box .box-title {
  padding: 15px;
  background-color: #333;
  width: 100%;
  border-radius: 0 0 0 5px;
  background-image: radial-gradient(#ccdc2977 0.5px, transparent 0.5px);
  background-position: 0px 0px;
  background-size: 10px 10px;
  transition: 0.5s;
}

.about-box:hover .box-title {
  background-size: 15px 15px;
}

.about-box:hover .box-title h2 {
  text-decoration: underline;
}

.about-box .box-header {
  display: flex;
}

.about-box .box-img-container {
  background-color: #fff;
  padding: 0 10px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.about-box .box-img {
  width: 50px;
  height: 50px;
  background-position: center;
  background-size: contain;
}

.about-box .box-title > h2 {
  color: #ccdc29;
  margin: 0 !important;
}

.about-box .box-content {
  padding: 20px;
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  justify-content: center;
  min-height: 100px;
  font-size: 17px;
  font-weight: 300;
}

.about-box .box-content p {
  margin-bottom: 10px;
}

.about-box .box-content p:last-child {
  margin: 0 !important;
}

header.page-header {
  display: flex;
  background-color: #333333 !important;
  margin-top: -20px;
  background-size: 10px 10px;
  background-image: radial-gradient(#ccdc2920 1px, transparent 1px);
  border-radius: 0 0 5px 5px;
  color: #ccdc29;
  text-decoration: underline;
}
h1.page-title {
  color: #f7f8f9;
}

@media screen and (max-width: 1281px) {
  header.page-header {
    border-radius: 0;
  }
}

/* .single-featured-image .img-inner img {
  height: 600px;
} */

.particles-frontpage-about {
  width: 100%;
  position: absolute;
  left: 0;
}

.widget ul li {
  padding-bottom: 0;
}

.wp-block-social-links {
  display: flex;
  justify-content: center;
}

@media screen and (max-width: 500px) {
  .website-info-container {
    padding-bottom: 50px;
  }
  .footer-social-icons {
    top: 240px;
  }
}
